entity MercurioIV_RegBank is
	port
	(
		DISP0_D	: out bit_vector(7 downto 0);
		DISP1_D	: out bit_vector(7 downto 0);

		SW			: in bit_vector(3 downto 0);
		SA, SB	: in bit_vector(7 downto 0);
		
		KEY		: in bit_vector(11 downto 0)
	);

end MercurioIV_RegBank;

architecture top of MercurioIV_RegBank is

	signal SrcA, SrcB: bit_vector(3 downto 0);	--Sinais para interligar a saída do banco à entrada do decodificador hex27seg

begin
	
	RB0: work.RegBank
		generic map (
				WIDTH => 4, SIZE => 2
				)
		port map (
				CLK => KEY(8), EN => KEY(5), 
				A1 => SB(3 downto 0), A2 => SB(7 downto 4), A3 => SW(3 downto 0),
				WD3 => SA(3 downto 0), RD1 => SrcA, RD2 => SrcB
				);

	display1: work.hex27seg
		port map (
				hexa => SrcB, 
				segments => DISP1_D(6 downto 0)
				);

	display0: work.hex27seg
		port map (
				hexa => SrcA, 
				segments => DISP0_D(6 downto 0)
				);

end top;
